cancel
Showing results for 
Search instead for 
Did you mean: 
Community Manager
Community Manager

Alert: Meltdown and Spectre Security Vulnerability

GoDaddy is aware of the recent industry-wide, hardware-based security vulnerability known as Meltdown and Spectre. Our customers’ security is paramount and all GoDaddy brands are actively working to update our systems to address the vulnerability. We expect to complete these updates soon and our engineering teams will continue to communicate with our industry partners to stay abreast of the situation and any potential future update requirements. For more information: https://meltdownattack.com/